libcrypto.0.9.dylib

04/11/2007 - 10:35 von Noses | Report spam
Könnten mal ein paar Leopardenbetreiber schauen, was bei ihnen nach

uname -a
ls -al /usr/lib/libcrypto.0.9.dylib
md5 /usr/lib/libcrypto.0.9.dylib

herauskommt?

Ich stelle gerade fest, daß mir eine Menge Applikationen von
Drittherstellern mit einem

Exception Type: EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread: 0

Dyld Error Message:
Library not loaded: /usr/lib/libcrypto.0.9.dylib
Referenced from: /Applications/PDFpenPro.app/Contents/MacOS/PDFpenPro
Reason: no suitable image found. Did find:
/usr/lib/libcrypto.0.9.dylib: mach-o, but wrong architecture
/usr/lib/libcrypto.0.9.dylib: mach-o, but wrong architecture

um die Ohren fliegen. Und was soll ich sagen? Das Betriebssystem weiß, wovon
es redet.

Unter 10.4.10 sieht das noch so aus:

[klotz:/usr/lib] noses% ls -al /usr/lib/libcrypto.0.9.dylib
-rwxr-xr-x 1 root wheel 1724376 Oct 24 20:15 /usr/lib/libcrypto.0.9.dylib
[klotz:/usr/lib] noses% md5 /usr/lib/libcrypto.0.9.dylib
MD5 (/usr/lib/libcrypto.0.9.dylib) = cf0a4c9e7bd32296e3ce971559537f64

und in 10.5

ap@wasabi:/usr/lib/ 310-> ls -al /usr/lib/libcrypto.0.9.dylib
-rwxr-xr-x 1 root wheel 806016 24 Sep 03:35 /usr/lib/libcrypto.0.9.dylib*
ap@wasabi:/usr/lib/ 311-> md5 /usr/lib/libcrypto.0.9.dylib
MD5 (/usr/lib/libcrypto.0.9.dylib) = 544b711edf2ce022a38c5c42eb21c5d0


Wenn das unter 10.5 Auslieferungszustand ist...


Noses.
 

Lesen sie die antworten

#1 Thomas Bergauer
04/11/2007 - 11:32 | Warnen spam
Noses wrote:
:/usr/lib/ 311-> md5 /usr/lib/libcrypto.0.9.dylib
MD5 (/usr/lib/libcrypto.0.9.dylib) = 544b711edf2ce022a38c5c42eb21c5d0

Wenn das unter 10.5 Auslieferungszustand ist...



ist es. Meine Leo-Install-DVD (Up-to-date) hat mir genau diese version
auf die Platte geknallt:
bergibook:~ bergi$ md5 /usr/lib/libcrypto.0.9.dylib
MD5 (/usr/lib/libcrypto.0.9.dylib) = 544b711edf2ce022a38c5c42eb21c5d0


b.

Ähnliche fragen